Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Private Member Functions | List of all members
ezpRestDebugPHPFormatter Class Reference
Inheritance diagram for ezpRestDebugPHPFormatter:

## Public Member Functions
| __construct ()
| generateOutput (array $writerData, array $timerData)
| getLog (array $writerData)
| getTimingsAccumulator (array $timerData)
| formatStackTrace (ezcDebugStacktraceIterator $stackTrace)

## Private Member Functions
| getGroups (array $timers)
| addElement (&$element, $timeStruct)

## Detailed Description

Definition at line 11 of file php_formatter.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpRestDebugPHPFormatter::__construct | ( |  | ) |

Constructor

Definition at line 16 of file php_formatter.php.

## Member Function Documentation

## ◆ addElement()

ezpRestDebugPHPFormatter::addElement | ( | & | $element,
|  |  | $timeStruct
| ) |  |
| private

Prepares $element to contain $timeStruct information.

Parameters

  array | $element |
  ezcDebugTimerStruct | $timeStruct |

Definition at line 160 of file php_formatter.php.

References $element.

Referenced by getGroups().

## ◆ formatStackTrace()

ezpRestDebugPHPFormatter::formatStackTrace | ( | ezcDebugStacktraceIterator | $stackTrace | ) |

Returns a PHP array representation of the given $stackTrace.

Iterates through the given $stackTrace and returns an HTML formatted string representation.

Parameters

  ezcDebugStacktraceIterator | $stackTrace |

Returns
  string

Definition at line 190 of file php_formatter.php.

References $element, $index, $location, and $res.

Referenced by getLog().

## ◆ generateOutput()

ezpRestDebugPHPFormatter::generateOutput | ( | array | $writerData,
|  | array | $timerData
| ) |  |

Returns a string containing the formatted output based on $timerData and $writerData.

Parameters

  | array(ezcDebugStructure) | $timerData
  array | $writerData |

Returns
  string

Definition at line 28 of file php_formatter.php.

References getLog(), and getTimingsAccumulator().

## ◆ getGroups()

ezpRestDebugPHPFormatter::getGroups | ( | array | $timers | ) |
| private

Returns the timer groups of the given $timers.

Parameters

  array(ezcDebugStructure) | $timers

Returns
  array(ezcDebugStructure)

Definition at line 127 of file php_formatter.php.

References $groups, $time, and addElement().

Referenced by getTimingsAccumulator().

## ◆ getLog()

ezpRestDebugPHPFormatter::getLog | ( | array | $writerData | ) |

Returns a PHP array containing the output based on $writerData.

Parameters

  array | $writerData |

Returns
  array

Definition at line 42 of file php_formatter.php.

References $result, and formatStackTrace().

Referenced by generateOutput().

## ◆ getTimingsAccumulator()

ezpRestDebugPHPFormatter::getTimingsAccumulator | ( | array | $timerData | ) |

Returns a PHP array containing stdClass objects, based on $timerData.

Parameters

  array(ezcDebugStructure) | $timerData

Returns
  array(stdClass)

Definition at line 65 of file php_formatter.php.

References $element, $group, $groups, $name, $res, and getGroups().

Referenced by generateOutput().

The documentation for this class was generated from the following file:

- php_formatter.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.